import { OnInit, ViewContainerRef, OnDestroy, ElementRef, Renderer2, OnChanges, SimpleChanges } from '@angular/core';
import { Product } from '../interfaces/product';
import { Constants } from '../core.consts';
export declare class ProductMiniStandardDirective implements OnChanges, OnInit, OnDestroy {
    private elementRef;
    private viewContainer;
    private renderer;
    private constants;
    private special_marks;
    private product;
    private idConteiner;
    set ecProductMiniStandard(productParam: Product);
    constructor(elementRef: ElementRef, viewContainer: ViewContainerRef, renderer: Renderer2, constants: Constants);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    setMarkStandar: (special_mark: any) => void;
    createImage: (data: any) => any;
}
